Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031107
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementmajoralways2015-10-08 16:482015-12-02 00:10
ReporterngarciaView Statuspublic 
Assigned Tovmromanos 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision873c8764054e
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAtulOpenbravo
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031107: Only the commission related with the payment amount of the last payment is considered when invoice has split payment plan

DescriptionOnly the commission related with the payment amount of the last payment is considered when invoice has split payment plan. The user should launch then the Generate Commission process for the months of the rest of the payments in order to get the correct amount and the commissions of the invoices paid in that month will be duplicated
Steps To ReproduceAs group admin role:
   Create a Commission
      Basis Document: Invoice
      Basis Status: Fully paid documents
      Basis Amount: Net amount
   Add a line to it:
      Based on Sales Rep.: 'Y'
      Business Partner Category: 'Customer - Tier 3'
      Multiplier amount: 2
   Create a Payment Term:
      Overdue Payment Days Rule: 64
   Add a line to it
      Percentage Due: 50
      Overdue Payment Days Rule: 32
   Create a Sales Invoice for 'Hoteles Buenas Noches, S.A.'
   Add the previously defined sales representative and payment terms
   Add a line with any product and quantity
   Complete it
   Create a partial payment in the first due date
   Go to Commission window and click on Generate Commission process for the payment's month
   Go to Commission Payment window and check the amount is 0 as the invoice is not fully paid (this is correct)
      Create a second payment in the second due date
   Go to Commission window and click on Generate Commission process for the payment's month
   Go to Commission Payment window and check the amount is only based on the amount paid in this second payment
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0030184 closedaferraz Wrong commission amount if the invoice has fractionated payment terms but it is paid in the same commission period 

-  Notes
(0082013)
AtulOpenbravo (developer)
2015-11-20 10:48
edited on: 2015-11-25 16:55

Test Plan
- Login as Group Admin Role.
- Create a Commission
   Basis Document: Invoice
   Basis Status: Fully paid documents
   Basis Amount: Net amount
- Add a line to it:
   Based on Sales Rep.: 'Y'
   Business Partner Category: 'Customer - Tier 3'
   Multiplier amount: 2
- Create a Payment Term:
   Overdue Payment Days Rule: 64
- Add a line to it
   Percentage Due: 50
   Overdue Payment Days Rule: 32
- Create a Sales Invoice for 'Hoteles Buenas Noches, S.A.'
   Add the previously defined sales representative and payment terms
   Add a line with any product and quantity
   Complete it.
- Create a partial payment in the first due date.
- Go to Commission window and click on Generate Commission process for the payment's month start date.
- Go to Commission Payment window and check the amount is 0 as the invoice is not fully paid.
- Create a second payment in the second due date.
- Go to Commission window and click on Generate Commission process for the payment's month start date.
- Go to Commission Payment window and check the amount is based on the amount total paid amount of the invoice as now in this it is fully paid

Alternate plan.
- In the same scenario as above.
- Go to back to Commission window and click on Generate Commission process for the first payment's month start date.
- Go to Commission Payment window and check the amount is still zero as earlier. Commisssion is calculated only in the month in which the last payment was made to fully pay the invoice.

(0082476)
hgbot (developer)
2015-12-01 09:50

Repository: erp/devel/pi
Changeset: 873c8764054e5b564802ad828682a43710850448
Author: Víctor Martínez Romanos <victor.martinez <at> openbravo.com>
Date: Thu Nov 26 14:08:38 2015 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/873c8764054e5b564802ad828682a43710850448 [^]

Fixed bug 31107: Commission for full paid documents split in several payments

For Full paid documents, the query will search for the invoices that are fully paid where the last payment belongs to the selected period.
So the query has been transformed to get all the PSD for the fully paid invoices if it exists at least one PSD paid in the given period and when all the PSD for the invoice are before the "to date" of the given period.

---
M src-db/database/model/functions/C_COMMISSION_PROCESS.xml
---
(0082477)
vmromanos (developer)
2015-12-01 09:51

Reviewed by AtulOpenbravo
(0082507)
hudsonbot (developer)
2015-12-02 00:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a52bb700bbaf [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-10-08 16:48 ngarcia New Issue
2015-10-08 16:48 ngarcia Assigned To => Triage Finance
2015-10-08 16:48 ngarcia Modules => Core
2015-10-08 16:48 ngarcia Triggers an Emergency Pack => No
2015-10-08 16:48 ngarcia Relationship added related to 0030184
2015-10-08 16:49 ngarcia Issue Monitored: networkb
2015-11-19 10:58 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-11-19 10:58 AtulOpenbravo Status new => scheduled
2015-11-20 10:48 AtulOpenbravo Note Added: 0082013
2015-11-25 16:55 AtulOpenbravo Note Edited: 0082013 View Revisions
2015-11-26 15:07 vmromanos Assigned To AtulOpenbravo => vmromanos
2015-11-26 15:08 vmromanos Review Assigned To => AtulOpenbravo
2015-12-01 09:50 hgbot Checkin
2015-12-01 09:50 hgbot Note Added: 0082476
2015-12-01 09:50 hgbot Status scheduled => resolved
2015-12-01 09:50 hgbot Resolution open => fixed
2015-12-01 09:50 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/873c8764054e5b564802ad828682a43710850448 [^]
2015-12-01 09:51 vmromanos Note Added: 0082477
2015-12-01 09:51 vmromanos Status resolved => closed
2015-12-02 00:10 hudsonbot Checkin
2015-12-02 00:10 hudsonbot Note Added: 0082507


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker